# LagCompensationManager.Simulate Method (Single, Action)
Turns time back a given amount of seconds, invokes an action and turns it back

MLAPI API Reference

# LagCompensationManager
Simulate Method (Single, Action)

[This is preliminary documentation and is subject to change.]

Turns time back a given amount of seconds, invokes an action and turns it back

Namespace: MLAPI.NetworkingManagerComponents.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static void Simulate(
    	float secondsAgo,
    	Action action
    )

Request Example
View Source

#### Parameters

secondsAgo
  Type: System
  Single
  The amount of seconds
action
  Type: System
  Action
  The action to invoke when time is turned back

See Also

#### Reference

LagCompensationManager Class
Simulate Overload
MLAPI.NetworkingManagerComponents.Core Namespace